/**
 * GISViewerESRI.java Shapefile Viewer version 0.2
 * Neil Moomey, www.neilmoomey.com
 * This GIS Viewer uses ESRI's Map Objects for Java library.
 * ESRI has a 60 day demo you can order at http://www.esri.com/software/mojava/index.html
 **/
import javax.swing.*;
import com.esri.mo.util.Resource;
import java.awt.*;
import java.io.*;

public class GISViewerESRI extends JFrame {

	GISViewerESRI(String args[]){
		super("Neil's GISViewer");
		setSize(600,600);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		GISViewerPane panel1 = new GISViewerPane(args);
		setContentPane(panel1);
	}

	public static void main(String args[]) {
		if (args.length == 0) {
			System.out.println("\n*********************************************************");
			System.out.println("Useage: java GISViewerESRI <path_to_shapefile> <path_to_shapefile>\n");
			System.out.println("Example: java GISViewerESRI C:\\gisdata\\countries.shp C:\\gisdata\\cities.shp");
			System.out.println("*********************************************************\n");
			System.exit(0);
		}
		new GISViewerESRI(args).setVisible(true);
	}
}






